Results 1 to 4 of 4

Thread: apt-get issue

  1. #1
    Junior Member
    Join Date
    Sep 2003
    Location
    Toronto
    Posts
    9

    apt-get issue

    I installed medialinux without a problem.
    I setup my sources.list to get a clean apt-get update result (i.e., packages counted on list of sites with no err messages)
    I wanted to put in the wajig admin package so I did apt-get install wajig and got depend msg with

    cloop-utils_1.02-4_i386.deb
    ivtools-interviews_1.0.7.-3_i386.deb
    ivtools-unidraw_1.0.7.-3_i386.deb

    I then setup apt.conf (with default release "unstable") and
    reran apt-get update
    I then did apt-get install wajig
    I had depend msg with

    ivtools-unidraw_1.0.7.-3_i386.deb
    and python-apt

    I then did a apt-get -f install, an apt-get autoclean, then apt-get install wajig
    I got depend msg with
    cloop-utils_1.02-4_i386.deb

    Ithen ran apt-get -f install and it did nothing solve the problem
    I then went to /var/cache/apt/archives and
    deleted the lock file then I ran
    dpkg --force overwrite -i cloop-utils_1.02-4_i386.deb
    but it did not work (did it again about 3 times - and am stuck)

    does anyone know how I would resolve "cloop-utils_1.02-4_i386.deb" package?

    thank you in advance for your support

  2. #2
    Member registered user
    Join Date
    Jun 2003
    Posts
    34
    Are you building you /etc/source.list file from apt-get.org or something?

    Wajig is in the standard Debian distro. If you point /etc/sources.list at a Debian mirror you shouldn't get dependency issues.

    If you still getting problems then are you running a mixed testing/unstable system? Mixed systems are always prone to dependency problems. You could try 'apt-get -t unstable install wajig' (or subs. testing for unstable), or you could just bite the bullet and do an dist-upgrade to unstable!

    hth.

  3. #3
    Junior Member
    Join Date
    Sep 2003
    Location
    Toronto
    Posts
    9
    ongoing battle with getting rid of cloop-utils which is badly damaged and should be reinstalled before removing according to dpkg; but there is no reinstall option seperate from the install option so since install does not work, I can't reinstall and then remove.
    __________________________________________________ _________
    START of err msg in full for reference
    __________________________________________________ _________
    Fetched 443MB in 3h56m8s (31.3kB/s)
    Preconfiguring packages ...
    (Reading database ... 93860 files and directories currently installed.)
    Preparing to replace cloop-utils 0.68-2 (using .../cloop-utils_1.02-4_i386.deb) ...
    Unpacking replacement cloop-utils ...
    depmod: cannot read ELF header from /lib/modules/extra/build
    depmod: cannot read ELF header from /lib/modules/extra/kernel
    depmod: /lib/modules/extra/modules.dep is not an ELF file
    depmod: /lib/modules/extra/modules.generic_string is not an ELF file
    depmod: /lib/modules/extra/modules.ieee1394map is not an ELF file
    depmod: /lib/modules/extra/modules.isapnpmap is not an ELF file
    depmod: cannot read ELF header from /lib/modules/extra/modules.parportmap
    depmod: /lib/modules/extra/modules.pcimap is not an ELF file
    depmod: cannot read ELF header from /lib/modules/extra/modules.pnpbiosmap
    depmod: /lib/modules/extra/modules.usbmap is not an ELF file
    depmod: cannot read ELF header from /lib/modules/extra/net
    depmod: cannot read ELF header from /lib/modules/extra/pcmcia
    depmod: cannot read ELF header from /lib/modules/extra/usb
    dpkg: warning - old post-removal script returned error exit status 1
    dpkg - trying script from the new package instead ...
    depmod: cannot read ELF header from /lib/modules/extra/build
    depmod: cannot read ELF header from /lib/modules/extra/kernel
    depmod: /lib/modules/extra/modules.dep is not an ELF file
    depmod: /lib/modules/extra/modules.generic_string is not an ELF file
    depmod: /lib/modules/extra/modules.ieee1394map is not an ELF file
    depmod: /lib/modules/extra/modules.isapnpmap is not an ELF file
    depmod: cannot read ELF header from /lib/modules/extra/modules.parportmap
    depmod: /lib/modules/extra/modules.pcimap is not an ELF file
    depmod: cannot read ELF header from /lib/modules/extra/modules.pnpbiosmap
    depmod: /lib/modules/extra/modules.usbmap is not an ELF file
    depmod: cannot read ELF header from /lib/modules/extra/net
    depmod: cannot read ELF header from /lib/modules/extra/pcmcia
    depmod: cannot read ELF header from /lib/modules/extra/usb
    dpkg: error processing /var/cache/apt/archives/cloop-utils_1.02-4_i386.deb (--unpack):
    subprocess new post-removal script returned error exit status 1
    depmod: cannot read ELF header from /lib/modules/extra/build
    depmod: cannot read ELF header from /lib/modules/extra/kernel
    depmod: /lib/modules/extra/modules.dep is not an ELF file
    depmod: /lib/modules/extra/modules.generic_string is not an ELF file
    depmod: /lib/modules/extra/modules.ieee1394map is not an ELF file
    depmod: /lib/modules/extra/modules.isapnpmap is not an ELF file
    depmod: cannot read ELF header from /lib/modules/extra/modules.parportmap
    depmod: /lib/modules/extra/modules.pcimap is not an ELF file
    depmod: cannot read ELF header from /lib/modules/extra/modules.pnpbiosmap
    depmod: /lib/modules/extra/modules.usbmap is not an ELF file
    depmod: cannot read ELF header from /lib/modules/extra/net
    depmod: cannot read ELF header from /lib/modules/extra/pcmcia
    depmod: cannot read ELF header from /lib/modules/extra/usb
    dpkg: error while cleaning up:
    subprocess post-removal script returned error exit status 1
    Errors were encountered while processing:
    /var/cache/apt/archives/cloop-utils_1.02-4_i386.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Ack! Something bad happened while installing packages. Trying to recover:
    Reading Package Lists... Done
    Building Dependency Tree
    Reading extended state information... Done
    __________________________________________________ _________
    END of err msg
    __________________________________________________ _________

    I install wajig using dpkg and it worked
    so I went for
    apt-get update (successful)
    apt-get upgrade (failed ... same reason as above)
    apt-get dist-upgrade (failed ... same reason as above)
    apt-get --fix-broken dist-upgrad (failed ... same reason as above)
    wajig reinstall cloop-utils (failed ... same reason as above)
    wajig purge cloop-utils (failed ... same reason as above)

    I go into aptitude and make selections so that I try to remove cloop-utils; failed; tried to install cloop-utils;failed; so I

    aptitude -dist-upgrade (failed ... same reason as above)

    now I am thinking let me try dpkg again, so I
    dpkg --simulate --remove cloop-utils (failed ... same reason as above)
    __________________________________________________ ________
    START of err msg from dpkg for reference
    __________________________________________________ ________
    dpkg: error processing cloop-utils (--remove):
    Package is in a very bad inconsistent state - you should
    reinstall it before attempting a removal.
    __________________________________________________ ________
    END of err msg from dpkg for reference
    __________________________________________________ ________

    so I think (I am doing a lot of this now) let me fire up dselect: and there I try several times to mark the rascal (aka cloop-utils) for install with suggested selected; failed, mark the rascal for deletion; failed; ok, so let me look at the state of the system, so I

    dpkg --audit

    RESULTS
    The following packages are in a mess due to serious problems during
    installation. They must be reinstalled for them (and any packages
    that depend on them) to function properly:
    cloop-utils Tools for handling with cloop compressed volumes

    notice it is this one stinking package that's choking me, so I

    dpkg -P cloop-utils-bla_bla_bla (failed ... same reason as above)
    dpkg -r cloop-utils-bla_bla_bla (failed ... same reason as above)

    So I open synaptic and filter on cloop-utils in misc tab and try to reinstall, install, remove; failed, failed, failed. However it was nice to discover that when you use the filter in synaptic you deal only with those packages filtered; in this case the action in synaptic was only act on cloop-utils and keep back everything else basically... I liked this granular control in synaptic, because I use to think it was abit of a loose cannon

    Meanwhile back at my problem, I don't know of another darn tool to use.

    PREVIEW OF NEXT EPISODE
    I have generated a list of packages installed on system which I called mlinuxdebs (the medialinux knoppix variant) because I am now thinking (more of that stuff again)
    1. blow away medialinux
    2. drop in the latest KNOPPIX (KNOPPIX_V3.3-2003-09-24-EN.iso)
    3. then run a install from file mlinuxdebs
    then I will have a standard knoppix with all the multimedia stuff I thought was a great idea in medialinux (thereby creating a two-flavor knoppix)

    Hey if any of you got some ideas/thoughts about all this please share your comments: I am trying to get into debian seriously, and see knoppix as a quick/clean way of doing so... ok this is not what's going on, but after I fix this stuff it will be : the upside being that the package management tools is a must get to know in order to live with debian (and I am new to debian, knoppix is my first (technically the number is now 3) debian install)

    I'll be back...

  4. #4
    Junior Member
    Join Date
    Sep 2003
    Location
    Toronto
    Posts
    9
    well I just want to drop in this followup, since things turned out successfully and wanted to complete this thread.

    I reinstalled Knoppix, and I feel I have sorted out the package management problems. The silver bullet to apt-get appears to be the "apt-get upgrade -f" I have tried umteen ways to fix a bad/broken install but this is the one that seems to always work

    Whenever I had incomplete installs and issues with apt-get installs I just run "apt-get upgrade -f" over and over until things are fixed and installs have all gone in fine (3 times was the most I have had to use it)

    Also, I liked the idea of medialinux and so I did a "dpkg -l" before I blew it away and I went through it and installing all the multimedia apps.

    So I have finally settled into the land of Debian (by the way, my real test came when I reviewed the software list for SuSE 9.0 and realized I had most of it and more. There was no urge to cough up $125.00 CAN to get it) I have a great system that is up-to-date and just humming like a charm -- and it's free

    Thanks to the people of Debian
    you have made my day
    I am very greatful for this kick ass monster system...

Similar Threads

  1. Network issue with 3.6
    By mjlavall in forum Networking
    Replies: 0
    Last Post: 09-03-2004, 07:35 AM
  2. Video Issue
    By prophetikos in forum Hardware & Booting
    Replies: 2
    Last Post: 05-12-2004, 01:51 AM
  3. MBR issue
    By elqueso in forum Hdd Install / Debian / Apt
    Replies: 3
    Last Post: 03-18-2004, 01:14 AM
  4. SECURITY ISSUE
    By alxdotnet in forum Hdd Install / Debian / Apt
    Replies: 0
    Last Post: 02-12-2004, 05:57 PM
  5. Apt-Setup Issue
    By clivesay in forum General Support
    Replies: 1
    Last Post: 01-14-2004, 08:14 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  


NEW SonicWALL TZ350 02-SSC-0942 1.0 Gbps 5x 1GB RJ-45 Firewall picture

NEW SonicWALL TZ350 02-SSC-0942 1.0 Gbps 5x 1GB RJ-45 Firewall

$199.99



Fortinet Fortigate 80E FG-80E Next Generation VPN Firewall picture

Fortinet Fortigate 80E FG-80E Next Generation VPN Firewall

$49.99



Palo Alto Networks PA-850 Next Generation Enterprise Firewall VPN Gateway 2X PSU picture

Palo Alto Networks PA-850 Next Generation Enterprise Firewall VPN Gateway 2X PSU

$249.99



Netgate SG-3100 PfSense Firewall picture

Netgate SG-3100 PfSense Firewall

$60.00



Fortinet Fortigate-60E Network Security Firewall FG-60E Power Cord Locked / Used picture

Fortinet Fortigate-60E Network Security Firewall FG-60E Power Cord Locked / Used

$58.90



pfSense Firewall VPN AES-NI Celeron N3350 1.10GHz 10GB RAM 80GB SSD 5x Intel NIC picture

pfSense Firewall VPN AES-NI Celeron N3350 1.10GHz 10GB RAM 80GB SSD 5x Intel NIC

$91.00



Sophos SG 230 Firewall Security Appliance Ubuntu Server 22.04 LTS 🧡 picture

Sophos SG 230 Firewall Security Appliance Ubuntu Server 22.04 LTS 🧡

$175.00



Lanner NCA-1010B 3 Port Fanless Mini OPNsense Firewall E3825 4GB RAM 32GB SSD picture

Lanner NCA-1010B 3 Port Fanless Mini OPNsense Firewall E3825 4GB RAM 32GB SSD

$99.95



CISCO ASA5506-SEC-BUN-K9 SECURITY Firewall w/ FirePOWER ASA5506-X NO CLOCK ISSUE picture

CISCO ASA5506-SEC-BUN-K9 SECURITY Firewall w/ FirePOWER ASA5506-X NO CLOCK ISSUE

$164.00



Cisco ASA 5506-X Adaptive 8-Port Security Firewall Appliance picture

Cisco ASA 5506-X Adaptive 8-Port Security Firewall Appliance

$49.99